summaryrefslogtreecommitdiff
path: root/meta/packages/binutils
diff options
context:
space:
mode:
Diffstat (limited to 'meta/packages/binutils')
-rw-r--r--meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-2.16.91.0.6-objcopy-rename-errorcode.patch31
-rw-r--r--meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-2.17-csl-tc-arm-mmxwc-polymorphism.patch25
-rw-r--r--meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-configure-texinfo-version.patch35
-rw-r--r--meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-100-uclibc-conf.patch139
-rw-r--r--meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-300-001_ld_makefile_patch.patch50
-rw-r--r--meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-300-006_better_file_error.patch43
-rw-r--r--meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-300-012_check_ldrunpath_length.patch47
-rw-r--r--meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-400-mips-ELF_MAXPAGESIZE-4K.patch26
-rw-r--r--meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-702-binutils-skip-comments.patch93
-rw-r--r--meta/packages/binutils/binutils-2.18/110-arm-eabi-conf.patch24
-rw-r--r--meta/packages/binutils/binutils-2.18/binutils-2.16.91.0.6-objcopy-rename-errorcode.patch39
-rw-r--r--meta/packages/binutils/binutils-2.18/binutils-configure-texinfo-version.patch22
-rw-r--r--meta/packages/binutils/binutils-2.18/binutils-uclibc-100-uclibc-conf.patch34
-rw-r--r--meta/packages/binutils/binutils-2.18/binutils-uclibc-300-001_ld_makefile_patch.patch50
-rw-r--r--meta/packages/binutils/binutils-2.18/binutils-uclibc-300-006_better_file_error.patch43
-rw-r--r--meta/packages/binutils/binutils-2.18/binutils-uclibc-300-012_check_ldrunpath_length.patch47
-rw-r--r--meta/packages/binutils/binutils-2.19/110-arm-eabi-conf.patch22
-rw-r--r--meta/packages/binutils/binutils-2.19/binutils-2.16.1-e300c2c3.patch19
-rw-r--r--meta/packages/binutils/binutils-2.19/binutils-2.16.91.0.6-objcopy-rename-errorcode.patch39
-rw-r--r--meta/packages/binutils/binutils-2.19/binutils-uclibc-100-uclibc-conf.patch34
-rw-r--r--meta/packages/binutils/binutils-2.19/binutils-uclibc-300-001_ld_makefile_patch.patch50
-rw-r--r--meta/packages/binutils/binutils-2.19/binutils-uclibc-300-006_better_file_error.patch43
-rw-r--r--meta/packages/binutils/binutils-2.19/binutils-uclibc-300-012_check_ldrunpath_length.patch47
-rw-r--r--meta/packages/binutils/binutils-2.19/binutils-uclibc-gas-needs-libm.patch38
-rw-r--r--meta/packages/binutils/binutils-cross-sdk.inc24
-rw-r--r--meta/packages/binutils/binutils-cross-sdk_2.18.bb3
-rw-r--r--meta/packages/binutils/binutils-cross-sdk_2.19.bb3
-rw-r--r--meta/packages/binutils/binutils-cross.inc36
-rw-r--r--meta/packages/binutils/binutils-cross_2.18.bb24
-rw-r--r--meta/packages/binutils/binutils-cross_2.19.bb3
-rw-r--r--meta/packages/binutils/binutils-cross_csl-arm-2006q1.bb3
-rw-r--r--meta/packages/binutils/binutils-cross_csl-arm-2008q1.bb24
-rw-r--r--meta/packages/binutils/binutils.inc131
-rw-r--r--meta/packages/binutils/binutils_2.18.bb12
-rw-r--r--meta/packages/binutils/binutils_2.19.bb18
-rw-r--r--meta/packages/binutils/binutils_csl-arm-2006q1.bb139
-rw-r--r--meta/packages/binutils/binutils_csl-arm-2008q1.bb25
-rw-r--r--meta/packages/binutils/files/better_file_error.patch17
-rw-r--r--meta/packages/binutils/files/ld_makefile.patch22
-rw-r--r--meta/packages/binutils/files/objdump_fix.patch134
-rw-r--r--meta/packages/binutils/files/plt32trunc.patch24
-rw-r--r--meta/packages/binutils/files/signed_char_fix.patch12
42 files changed, 0 insertions, 1694 deletions
diff --git a/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-2.16.91.0.6-objcopy-rename-errorcode.patch b/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-2.16.91.0.6-objcopy-rename-errorcode.patch
deleted file mode 100644
index 4461bedd4..000000000
--- a/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-2.16.91.0.6-objcopy-rename-errorcode.patch
+++ /dev/null
@@ -1,31 +0,0 @@
-# strip (and objcopy) fail to set the error code if there is no
-# output file name and the rename of the stripped (or copied) file
-# fails, yet the command fails to do anything. This fixes both
-# objcopy and strip.
-#
-# modification by bero: Ported to 2.16.91.0.6
-#
-#Signed-off-by: John Bowler <jbowler@acm.org>
-#Signed-off-by: Bernhard Rosenkraenzer <bero@arklinux.org>
---- binutils-2.16.91.0.6/binutils/objcopy.c.ark 2006-03-11 15:59:07.000000000 +0100
-+++ binutils-2.16.91.0.6/binutils/objcopy.c 2006-03-11 15:59:45.000000000 +0100
-@@ -2593,7 +2593,8 @@
- if (preserve_dates)
- set_times (tmpname, &statbuf);
- if (output_file == NULL)
-- smart_rename (tmpname, argv[i], preserve_dates);
-+ if(smart_rename (tmpname, argv[i], preserve_dates))
-+ hold_status = 1;
- status = hold_status;
- }
- else
-@@ -3184,7 +3185,8 @@
- {
- if (preserve_dates)
- set_times (tmpname, &statbuf);
-- smart_rename (tmpname, input_filename, preserve_dates);
-+ if (smart_rename (tmpname, input_filename, preserve_dates))
-+ status = 1;
- }
- else
- unlink (tmpname);
diff --git a/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-2.17-csl-tc-arm-mmxwc-polymorphism.patch b/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-2.17-csl-tc-arm-mmxwc-polymorphism.patch
deleted file mode 100644
index 9d16011a0..000000000
--- a/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-2.17-csl-tc-arm-mmxwc-polymorphism.patch
+++ /dev/null
@@ -1,25 +0,0 @@
---- binutils-2.17/gas/config/tc-arm.c.orig 2006-09-05 14:59:25.000000000 +0100
-+++ binutils-2.17/gas/config/tc-arm.c 2006-09-05 14:59:25.000000000 +0100
-@@ -1252,13 +1252,15 @@
- }
-
- /* Undo polymorphism when a set of register types may be accepted. */
-- if ((type == REG_TYPE_NDQ
-- && (reg->type == REG_TYPE_NQ || reg->type == REG_TYPE_VFD))
-- || (type == REG_TYPE_VFSD
-- && (reg->type == REG_TYPE_VFS || reg->type == REG_TYPE_VFD))
-- || (type == REG_TYPE_NSDQ
-- && (reg->type == REG_TYPE_VFS || reg->type == REG_TYPE_VFD
-- || reg->type == REG_TYPE_NQ)))
-+ if (((type == REG_TYPE_NDQ
-+ && (reg->type == REG_TYPE_NQ || reg->type == REG_TYPE_VFD))
-+ || (type == REG_TYPE_VFSD
-+ && (reg->type == REG_TYPE_VFS || reg->type == REG_TYPE_VFD))
-+ || (type == REG_TYPE_NSDQ
-+ && (reg->type == REG_TYPE_VFS || reg->type == REG_TYPE_VFD
-+ || reg->type == REG_TYPE_NQ)))
-+ ||(type == REG_TYPE_MMXWC
-+ && (reg->type == REG_TYPE_MMXWCG)))
- type = reg->type;
-
- if (type != reg->type)
diff --git a/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-configure-texinfo-version.patch b/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-configure-texinfo-version.patch
deleted file mode 100644
index aad8528f1..000000000
--- a/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-configure-texinfo-version.patch
+++ /dev/null
@@ -1,35 +0,0 @@
----
- configure | 2 +-
- configure.in | 2 +-
- 2 files changed, 2 insertions(+), 2 deletions(-)
-
---- binutils-2.17.orig/configure
-+++ binutils-2.17/configure
-@@ -3635,11 +3635,11 @@ case " $build_configdirs " in
- *)
-
- # For an installed makeinfo, we require it to be from texinfo 4.2 or
- # higher, else we use the "missing" dummy.
- if ${MAKEINFO} --version \
-- | egrep 'texinfo[^0-9]*([1-3][0-9]|4\.[2-9]|[5-9])' >/dev/null 2>&1; then
-+ | egrep 'texinfo[^0-9]*(4\.([6-9]|[1-9][0-9])|[5-9]|[1-9][0-9])' >/dev/null 2>&1; then
- :
- else
- MAKEINFO="$MISSING makeinfo"
- fi
- ;;
---- binutils-2.17.orig/configure.in
-+++ binutils-2.17/configure.in
-@@ -2204,11 +2204,11 @@ case " $build_configdirs " in
- *)
- changequote(,)
- # For an installed makeinfo, we require it to be from texinfo 4.2 or
- # higher, else we use the "missing" dummy.
- if ${MAKEINFO} --version \
-- | egrep 'texinfo[^0-9]*([1-3][0-9]|4\.[2-9]|[5-9])' >/dev/null 2>&1; then
-+ | egrep 'texinfo[^0-9]*(4\.([6-9]|[1-9][0-9])|[5-9]|[1-9][0-9])' >/dev/null 2>&1; then
- :
- else
- MAKEINFO="$MISSING makeinfo"
- fi
- ;;
diff --git a/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-100-uclibc-conf.patch b/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-100-uclibc-conf.patch
deleted file mode 100644
index 25222e5df..000000000
--- a/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-100-uclibc-conf.patch
+++ /dev/null
@@ -1,139 +0,0 @@
---- binutils-2.16.91.0.7/bfd/configure
-+++ binutils-2.16.91.0.7/bfd/configure
-@@ -3576,7 +3576,7 @@
- ;;
-
- # This must be Linux ELF.
--linux-gnu*)
-+linux-gnu*|linux-uclibc*)
- lt_cv_deplibs_check_method=pass_all
- ;;
-
---- binutils-2.16.91.0.7/binutils/configure
-+++ binutils-2.16.91.0.7/binutils/configure
-@@ -3411,7 +3411,7 @@
- ;;
-
- # This must be Linux ELF.
--linux-gnu*)
-+linux-gnu*|linux-uclibc*)
- lt_cv_deplibs_check_method=pass_all
- ;;
-
---- binutils-2.16.91.0.7/configure
-+++ binutils-2.16.91.0.7/configure
-@@ -1270,7 +1270,7 @@
- am33_2.0-*-linux*)
- noconfigdirs="$noconfigdirs ${libgcj} target-newlib target-libgloss"
- ;;
-- sh-*-linux*)
-+ sh*-*-linux*)
- noconfigdirs="$noconfigdirs ${libgcj} target-newlib target-libgloss"
- ;;
- sh*-*-pe|mips*-*-pe|*arm-wince-pe)
-@@ -1578,7 +1578,7 @@
- romp-*-*)
- noconfigdirs="$noconfigdirs bfd binutils ld gas opcodes target-libgloss ${libgcj}"
- ;;
-- sh-*-* | sh64-*-*)
-+ sh*-*-* | sh64-*-*)
- case "${host}" in
- i[3456789]86-*-vsta) ;; # don't add gprof back in
- i[3456789]86-*-go32*) ;; # don't add gprof back in
---- binutils-2.16.91.0.7/configure.in
-+++ binutils-2.16.91.0.7/configure.in
-@@ -468,7 +468,7 @@
- am33_2.0-*-linux*)
- noconfigdirs="$noconfigdirs ${libgcj} target-newlib target-libgloss"
- ;;
-- sh-*-linux*)
-+ sh*-*-linux*)
- noconfigdirs="$noconfigdirs ${libgcj} target-newlib target-libgloss"
- ;;
- sh*-*-pe|mips*-*-pe|*arm-wince-pe)
-@@ -776,7 +776,7 @@
- romp-*-*)
- noconfigdirs="$noconfigdirs bfd binutils ld gas opcodes target-libgloss ${libgcj}"
- ;;
-- sh-*-* | sh64-*-*)
-+ sh*-*-* | sh64-*-*)
- case "${host}" in
- i[[3456789]]86-*-vsta) ;; # don't add gprof back in
- i[[3456789]]86-*-go32*) ;; # don't add gprof back in
---- binutils-2.16.91.0.7/gas/configure
-+++ binutils-2.16.91.0.7/gas/configure
-@@ -3411,7 +3411,7 @@
- ;;
-
- # This must be Linux ELF.
--linux-gnu*)
-+linux-gnu*|linux-uclibc*)
- lt_cv_deplibs_check_method=pass_all
- ;;
-
---- binutils-2.16.91.0.7/gprof/configure
-+++ binutils-2.16.91.0.7/gprof/configure
-@@ -3419,6 +3419,11 @@
- lt_cv_file_magic_test_file=`echo /lib/libc.so* /lib/libc-*.so`
- ;;
-
-+linux-uclibc*)
-+ lt_cv_deplibs_check_method=pass_all
-+ lt_cv_file_magic_test_file=`echo /lib/libuClibc-*.so`
-+ ;;
-+
- netbsd* | knetbsd*-gnu)
- if echo __ELF__ | $CC -E - | grep __ELF__ > /dev/null; then
- lt_cv_deplibs_check_method='match_pattern /lib[^/\.]+\.so\.[0-9]+\.[0-9]+$'
---- binutils-2.16.91.0.7/ld/configure
-+++ binutils-2.16.91.0.7/ld/configure
-@@ -3413,7 +3413,7 @@
- ;;
-
- # This must be Linux ELF.
--linux-gnu*)
-+linux-gnu*|linux-uclibc*)
- lt_cv_deplibs_check_method=pass_all
- ;;
-
---- binutils-2.16.91.0.7/libtool.m4
-+++ binutils-2.16.91.0.7/libtool.m4
-@@ -739,7 +739,7 @@
- ;;
-
- # This must be Linux ELF.
--linux-gnu*)
-+linux-gnu*|linux-uclibc*)
- lt_cv_deplibs_check_method=pass_all
- ;;
-
---- binutils-2.16.91.0.7/ltconfig
-+++ binutils-2.16.91.0.7/ltconfig
-@@ -602,6 +602,7 @@
-
- # Transform linux* to *-*-linux-gnu*, to support old configure scripts.
- case $host_os in
-+linux-uclibc*) ;;
- linux-gnu*) ;;
- linux*) host=`echo $host | sed 's/^\(.*-.*-linux\)\(.*\)$/\1-gnu\2/'`
- esac
-@@ -1247,7 +1248,7 @@
- ;;
-
- # This must be Linux ELF.
--linux-gnu*)
-+linux-gnu*|linux-uclibc*)
- version_type=linux
- need_lib_prefix=no
- need_version=no
---- binutils-2.16.91.0.7/opcodes/configure
-+++ binutils-2.16.91.0.7/opcodes/configure
-@@ -3579,7 +3579,7 @@
- ;;
-
- # This must be Linux ELF.
--linux-gnu*)
-+linux-gnu*|linux-uclibc*)
- lt_cv_deplibs_check_method=pass_all
- ;;
-
diff --git a/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-300-001_ld_makefile_patch.patch b/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-300-001_ld_makefile_patch.patch
deleted file mode 100644
index 04a7e61e2..000000000
--- a/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-300-001_ld_makefile_patch.patch
+++ /dev/null
@@ -1,50 +0,0 @@
-#!/bin/sh -e
-## 001_ld_makefile_patch.dpatch
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Description: correct where ld scripts are installed
-## DP: Author: Chris Chimelis <chris@debian.org>
-## DP: Upstream status: N/A
-## DP: Date: ??
-
-if [ $# -ne 1 ]; then
- echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
- exit 1
-fi
-
-[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
-patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
-
-case "$1" in
- -patch) patch $patch_opts -p1 < $0;;
- -unpatch) patch $patch_opts -p1 -R < $0;;
- *)
- echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
- exit 1;;
-esac
-
-exit 0
-
-@DPATCH@
---- binutils-2.16.91.0.1/ld/Makefile.am
-+++ binutils-2.16.91.0.1/ld/Makefile.am
-@@ -20,7 +20,7 @@
- # We put the scripts in the directory $(scriptdir)/ldscripts.
- # We can't put the scripts in $(datadir) because the SEARCH_DIR
- # directives need to be different for native and cross linkers.
--scriptdir = $(tooldir)/lib
-+scriptdir = $(libdir)
-
- EMUL = @EMUL@
- EMULATION_OFILES = @EMULATION_OFILES@
---- binutils-2.16.91.0.1/ld/Makefile.in
-+++ binutils-2.16.91.0.1/ld/Makefile.in
-@@ -268,7 +268,7 @@
- # We put the scripts in the directory $(scriptdir)/ldscripts.
- # We can't put the scripts in $(datadir) because the SEARCH_DIR
- # directives need to be different for native and cross linkers.
--scriptdir = $(tooldir)/lib
-+scriptdir = $(libdir)
- BASEDIR = $(srcdir)/..
- BFDDIR = $(BASEDIR)/bfd
- INCDIR = $(BASEDIR)/include
diff --git a/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-300-006_better_file_error.patch b/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-300-006_better_file_error.patch
deleted file mode 100644
index f337611ed..000000000
--- a/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-300-006_better_file_error.patch
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/sh -e
-## 006_better_file_error.dpatch by David Kimdon <dwhedon@gordian.com>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Specify which filename is causing an error if the filename is a
-## DP: directory. (#45832)
-
-if [ $# -ne 1 ]; then
- echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
- exit 1
-fi
-
-[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
-patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
-
-case "$1" in
- -patch) patch $patch_opts -p1 < $0;;
- -unpatch) patch $patch_opts -p1 -R < $0;;
- *)
- echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
- exit 1;;
-esac
-
-exit 0
-
-@DPATCH@
-diff -urNad /home/james/debian/packages/binutils/binutils-2.14.90.0.6/bfd/opncls.c binutils-2.14.90.0.6/bfd/opncls.c
---- /home/james/debian/packages/binutils/binutils-2.14.90.0.6/bfd/opncls.c 2003-07-23 16:08:09.000000000 +0100
-+++ binutils-2.14.90.0.6/bfd/opncls.c 2003-09-10 22:35:00.000000000 +0100
-@@ -150,6 +150,13 @@
- {
- bfd *nbfd;
- const bfd_target *target_vec;
-+ struct stat s;
-+
-+ if (stat (filename, &s) == 0)
-+ if (S_ISDIR(s.st_mode)) {
-+ bfd_set_error (bfd_error_file_not_recognized);
-+ return NULL;
-+ }
-
- nbfd = _bfd_new_bfd ();
- if (nbfd == NULL)
diff --git a/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-300-012_check_ldrunpath_length.patch b/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-300-012_check_ldrunpath_length.patch
deleted file mode 100644
index 498651a90..000000000
--- a/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-300-012_check_ldrunpath_length.patch
+++ /dev/null
@@ -1,47 +0,0 @@
-#!/bin/sh -e
-## 012_check_ldrunpath_length.dpatch by Chris Chimelis <chris@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Only generate an RPATH entry if LD_RUN_PATH is not empty, for
-## DP: cases where -rpath isn't specified. (#151024)
-
-if [ $# -ne 1 ]; then
- echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
- exit 1
-fi
-
-[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
-patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
-
-case "$1" in
- -patch) patch $patch_opts -p1 < $0;;
- -unpatch) patch $patch_opts -p1 -R < $0;;
- *)
- echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
- exit 1;;
-esac
-
-exit 0
-
-@DPATCH@
-diff -urNad /home/james/debian/packages/binutils/new/binutils-2.15/ld/emultempl/elf32.em binutils-2.15/ld/emultempl/elf32.em
---- /home/james/debian/packages/binutils/new/binutils-2.15/ld/emultempl/elf32.em 2004-05-21 23:12:58.000000000 +0100
-+++ binutils-2.15/ld/emultempl/elf32.em 2004-05-21 23:12:59.000000000 +0100
-@@ -692,6 +692,8 @@
- && command_line.rpath == NULL)
- {
- lib_path = (const char *) getenv ("LD_RUN_PATH");
-+ if ((lib_path) && (strlen (lib_path) == 0))
-+ lib_path = NULL;
- if (gld${EMULATION_NAME}_search_needed (lib_path, &n,
- force))
- break;
-@@ -871,6 +873,8 @@
- rpath = command_line.rpath;
- if (rpath == NULL)
- rpath = (const char *) getenv ("LD_RUN_PATH");
-+ if ((rpath) && (strlen (rpath) == 0))
-+ rpath = NULL;
- if (! (bfd_elf_size_dynamic_sections
- (output_bfd, command_line.soname, rpath,
- command_line.filter_shlib,
diff --git a/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-400-mips-ELF_MAXPAGESIZE-4K.patch b/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-400-mips-ELF_MAXPAGESIZE-4K.patch
deleted file mode 100644
index 5959c718d..000000000
--- a/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-400-mips-ELF_MAXPAGESIZE-4K.patch
+++ /dev/null
@@ -1,26 +0,0 @@
---- binutils/bfd/elf32-mips.c~
-+++ binutils/bfd/elf32-mips.c
-@@ -1613,7 +1613,9 @@
-
- /* The SVR4 MIPS ABI says that this should be 0x10000, and Linux uses
- page sizes of up to that limit, so we need to respect it. */
--#define ELF_MAXPAGESIZE 0x10000
-+/*#define ELF_MAXPAGESIZE 0x10000*/
-+/* Use 4K to shrink the elf header. NOT for general use! */
-+#define ELF_MAXPAGESIZE 0x1000
- #define elf32_bed elf32_tradbed
-
- /* Include the target file again for this target. */
---- binutils/bfd/elfn32-mips.c~
-+++ binutils/bfd/elfn32-mips.c
-@@ -2399,7 +2399,9 @@
-
- /* The SVR4 MIPS ABI says that this should be 0x10000, and Linux uses
- page sizes of up to that limit, so we need to respect it. */
--#define ELF_MAXPAGESIZE 0x10000
-+/*#define ELF_MAXPAGESIZE 0x10000*/
-+/* Use 4K to shrink the elf header. NOT for general use! */
-+#define ELF_MAXPAGESIZE 0x1000
- #define elf32_bed elf32_tradbed
-
- /* Include the target file again for this target. */
diff --git a/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-702-binutils-skip-comments.patch b/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-702-binutils-skip-comments.patch
deleted file mode 100644
index 9ef7a7c9e..000000000
--- a/meta/packages/binutils/binutils-2.17+csl-arm-2006q1-6/binutils-uclibc-702-binutils-skip-comments.patch
+++ /dev/null
@@ -1,93 +0,0 @@
-Retrieved from http://sources.redhat.com/ml/binutils/2004-04/msg00646.html
-Fixes
-localealias.s:544: Error: junk at end of line, first unrecognized character is `,'
-when building glibc-2.3.2 with gcc-3.4.0 and binutils-2.15.90.0.3
-
-Paths adjusted to match crosstool's patcher.
-
-Message-Id: m3n052qw2g.fsf@whitebox.m5r.de
-From: Andreas Schwab <schwab at suse dot de>
-To: Nathan Sidwell <nathan at codesourcery dot com>
-Cc: Ian Lance Taylor <ian at wasabisystems dot com>, binutils at sources dot redhat dot com
-Date: Fri, 23 Apr 2004 22:27:19 +0200
-Subject: Re: demand_empty_rest_of_line and ignore_rest_of_line
-
-Nathan Sidwell <nathan@codesourcery.com> writes:
-
-> Index: read.c
-> ===================================================================
-> RCS file: /cvs/src/src/gas/read.c,v
-> retrieving revision 1.76
-> diff -c -3 -p -r1.76 read.c
-> *** read.c 12 Mar 2004 17:48:12 -0000 1.76
-> --- read.c 18 Mar 2004 09:56:05 -0000
-> *************** read_a_source_file (char *name)
-> *** 1053,1059 ****
-> #endif
-> input_line_pointer--;
-> /* Report unknown char as ignored. */
-> ! ignore_rest_of_line ();
-> }
->
-> #ifdef md_after_pass_hook
-> --- 1053,1059 ----
-> #endif
-> input_line_pointer--;
-> /* Report unknown char as ignored. */
-> ! demand_empty_rest_of_line ();
-> }
->
-> #ifdef md_after_pass_hook
-
-This means that the unknown character is no longer ignored, despite the
-comment. As a side effect a line starting with a line comment character
-not followed by APP in NO_APP mode now triggers an error instead of just a
-warning, breaking builds of glibc on m68k-linux. Earlier in
-read_a_source_file where #APP is handled there is another comment that
-claims that unknown comments are ignored, when in fact they aren't (only
-the initial line comment character is skipped).
-
-Note that the presence of #APP will mess up the line counters, but
-that appears to be difficult to fix.
-
-Andreas.
-
-2004-04-23 Andreas Schwab <schwab@suse.de>
-
- * read.c (read_a_source_file): Ignore unknown text after line
- comment character. Fix misleading comment.
-
---- binutils/gas/read.c.~1.78.~ 2004-04-23 08:58:23.000000000 +0200
-+++ binutils/gas/read.c 2004-04-23 21:49:01.000000000 +0200
-@@ -950,10 +950,14 @@ read_a_source_file (char *name)
- unsigned int new_length;
- char *tmp_buf = 0;
-
-- bump_line_counters ();
- s = input_line_pointer;
- if (strncmp (s, "APP\n", 4))
-- continue; /* We ignore it */
-+ {
-+ /* We ignore it */
-+ ignore_rest_of_line ();
-+ continue;
-+ }
-+ bump_line_counters ();
- s += 4;
-
- sb_new (&sbuf);
-@@ -1052,7 +1056,7 @@ read_a_source_file (char *name)
- continue;
- #endif
- input_line_pointer--;
-- /* Report unknown char as ignored. */
-+ /* Report unknown char as error. */
- demand_empty_rest_of_line ();
- }
-
-
---
-Andreas Schwab, SuSE Labs, schwab@suse.de
-SuSE Linux AG, Maxfeldstra&#xC3;e 5, 90409 N&#xC3;rnberg, Germany
-Key fingerprint = 58CA 54C7 6D53 942B 1756 01D3 44D5 214B 8276 4ED5
-"And now for something completely different."
diff --git a/meta/packages/binutils/binutils-2.18/110-arm-eabi-conf.patch b/meta/packages/binutils/binutils-2.18/110-arm-eabi-conf.patch
deleted file mode 100644
index 050969bf6..000000000
--- a/meta/packages/binutils/binutils-2.18/110-arm-eabi-conf.patch
+++ /dev/null
@@ -1,24 +0,0 @@
-diff -urN binutils-2.16.91.0.7.orig/configure binutils-2.16.91.0.7/configure
---- binutils-2.16.91.0.7.orig/configure 2006-05-31 14:54:24.000000000 +0300
-+++ binutils-2.16.91.0.7/configure 2006-05-31 14:55:53.000000000 +0300
-@@ -1299,7 +1299,7 @@
- arm-*-elf* | strongarm-*-elf* | xscale-*-elf* | arm*-*-eabi* )
- noconfigdirs="$noconfigdirs target-libffi target-qthreads"
- ;;
-- arm*-*-linux-gnueabi)
-+ arm*-*-linux-gnueabi | arm*-*-linux-uclibcgnueabi)
- noconfigdirs="$noconfigdirs target-libffi target-qthreads"
- noconfigdirs="$noconfigdirs target-libjava target-libobjc"
- ;;
-diff -urN binutils-2.16.91.0.7.orig/configure.in binutils-2.16.91.0.7/configure.in
---- binutils-2.16.91.0.7.orig/configure.ac 2006-05-31 14:54:24.000000000 +0300
-+++ binutils-2.16.91.0.7/configure.ac 2006-05-31 14:55:53.000000000 +0300
-@@ -497,7 +497,7 @@
- arm-*-elf* | strongarm-*-elf* | xscale-*-elf* | arm*-*-eabi* )
- noconfigdirs="$noconfigdirs target-libffi target-qthreads"
- ;;
-- arm*-*-linux-gnueabi)
-+ arm*-*-linux-gnueabi | arm*-*-linux-uclibcgnueabi)
- noconfigdirs="$noconfigdirs target-libffi target-qthreads"
- noconfigdirs="$noconfigdirs target-libjava target-libobjc"
- ;;
diff --git a/meta/packages/binutils/binutils-2.18/binutils-2.16.91.0.6-objcopy-rename-errorcode.patch b/meta/packages/binutils/binutils-2.18/binutils-2.16.91.0.6-objcopy-rename-errorcode.patch
deleted file mode 100644
index 8df5b1fea..000000000
--- a/meta/packages/binutils/binutils-2.18/binutils-2.16.91.0.6-objcopy-rename-errorcode.patch
+++ /dev/null
@@ -1,39 +0,0 @@
-# strip (and objcopy) fail to set the error code if there is no
-# output file name and the rename of the stripped (or copied) file
-# fails, yet the command fails to do anything. This fixes both
-# objcopy and strip.
-#
-# modification by bero: Ported to 2.16.91.0.6
-#
-#Signed-off-by: John Bowler <jbowler@acm.org>
-#Signed-off-by: Bernhard Rosenkraenzer <bero@arklinux.org>
----
-# binutils/objcopy.c | 8 +++++---
-# 1 file changed, 5 insertions(+), 3 deletions(-)
-#
-Index: src/binutils/objcopy.c
-===================================================================
---- src.orig/binutils/objcopy.c 2007-08-09 13:26:03.000000000 +0100
-+++ src/binutils/objcopy.c 2007-08-09 16:36:12.000000000 +0100
-@@ -2787,8 +2787,9 @@ strip_main (int argc, char *argv[])
- if (preserve_dates)
- set_times (tmpname, &statbuf);
- if (output_file != tmpname)
-- smart_rename (tmpname, output_file ? output_file : argv[i],
-- preserve_dates);
-+ if (smart_rename (tmpname, output_file ? output_file : argv[i],
-+ preserve_dates))
-+ hold_status = 1;
- status = hold_status;
- }
- else
-@@ -3411,7 +3412,8 @@ copy_main (int argc, char *argv[])
- if (preserve_dates)
- set_times (tmpname, &statbuf);
- if (tmpname != output_filename)
-- smart_rename (tmpname, input_filename, preserve_dates);
-+ if (smart_rename (tmpname, input_filename, preserve_dates))
-+ status = 1;
- }
- else
- unlink_if_ordinary (tmpname);
diff --git a/meta/packages/binutils/binutils-2.18/binutils-configure-texinfo-version.patch b/meta/packages/binutils/binutils-2.18/binutils-configure-texinfo-version.patch
deleted file mode 100644
index dd21aed86..000000000
--- a/meta/packages/binutils/binutils-2.18/binutils-configure-texinfo-version.patch
+++ /dev/null
@@ -1,22 +0,0 @@
---- binutils-2.18/configure.orig 2007-10-11 21:09:27.000000000 -0700
-+++ binutils-2.18/configure 2007-10-11 21:10:20.000000000 -0700
-@@ -6128,7 +6128,7 @@ case " $build_configdirs " in
- # For an installed makeinfo, we require it to be from texinfo 4.4 or
- # higher, else we use the "missing" dummy.
- if ${MAKEINFO} --version \
-- | egrep 'texinfo[^0-9]*([1-3][0-9]|4\.[4-9]|[5-9])' >/dev/null 2>&1; then
-+ | egrep 'texinfo[^0-9]*(4\.([6-9]|[1-9][0-9])|[5-9]|[1-9][0-9])' >/dev/null 2>&1; then
- :
- else
- MAKEINFO="$MISSING makeinfo"
---- binutils-2.18/configure.ac.orig 2007-10-11 21:10:54.000000000 -0700
-+++ binutils-2.18/configure.ac 2007-10-11 21:11:13.000000000 -0700
-@@ -2403,7 +2403,7 @@ changequote(,)
- # For an installed makeinfo, we require it to be from texinfo 4.4 or
- # higher, else we use the "missing" dummy.
- if ${MAKEINFO} --version \
-- | egrep 'texinfo[^0-9]*([1-3][0-9]|4\.[4-9]|[5-9])' >/dev/null 2>&1; then
-+ | egrep 'texinfo[^0-9]*(4\.([6-9]|[1-9][0-9])|[5-9]|[1-9][0-9])' >/dev/null 2>&1; then
- :
- else
- MAKEINFO="$MISSING makeinfo"
diff --git a/meta/packages/binutils/binutils-2.18/binutils-uclibc-100-uclibc-conf.patch b/meta/packages/binutils/binutils-2.18/binutils-uclibc-100-uclibc-conf.patch
deleted file mode 100644
index 8de04e0fe..000000000
--- a/meta/packages/binutils/binutils-2.18/binutils-uclibc-100-uclibc-conf.patch
+++ /dev/null
@@ -1,34 +0,0 @@
---- binutils-2.18.orig/configure
-+++ binutils-2.18/configure
-@@ -2206,7 +2206,7 @@
- am33_2.0-*-linux*)
- noconfigdirs="$noconfigdirs ${libgcj} target-newlib target-libgloss"
- ;;
-- sh-*-linux*)
-+ sh*-*-linux*)
- noconfigdirs="$noconfigdirs ${libgcj} target-newlib target-libgloss"
- ;;
- sh*-*-pe|mips*-*-pe|*arm-wince-pe)
-@@ -2504,7 +2504,7 @@
- romp-*-*)
- noconfigdirs="$noconfigdirs bfd binutils ld gas opcodes target-libgloss ${libgcj}"
- ;;
-- sh-*-* | sh64-*-*)
-+ sh*-*-* | sh64-*-*)
- case "${host}" in
- i[3456789]86-*-vsta) ;; # don't add gprof back in
- i[3456789]86-*-go32*) ;; # don't add gprof back in
---- binutils-2.18.orig/gprof/configure
-+++ binutils-2.18/gprof/configure
-@@ -4124,6 +4124,11 @@
- lt_cv_deplibs_check_method=pass_all
- ;;
-
-+linux-uclibc*)
-+ lt_cv_deplibs_check_method=pass_all
-+ lt_cv_file_magic_test_file=`echo /lib/libuClibc-*.so`
-+ ;;
-+
- netbsd*)
- if echo __ELF__ | $CC -E - | $GREP __ELF__ > /dev/null; then
- lt_cv_deplibs_check_method='match_pattern /lib[^/]+(\.so\.[0-9]+\.[0-9]+|_pic\.a)$'
diff --git a/meta/packages/binutils/binutils-2.18/binutils-uclibc-300-001_ld_makefile_patch.patch b/meta/packages/binutils/binutils-2.18/binutils-uclibc-300-001_ld_makefile_patch.patch
deleted file mode 100644
index 04a7e61e2..000000000
--- a/meta/packages/binutils/binutils-2.18/binutils-uclibc-300-001_ld_makefile_patch.patch
+++ /dev/null
@@ -1,50 +0,0 @@
-#!/bin/sh -e
-## 001_ld_makefile_patch.dpatch
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Description: correct where ld scripts are installed
-## DP: Author: Chris Chimelis <chris@debian.org>
-## DP: Upstream status: N/A
-## DP: Date: ??
-
-if [ $# -ne 1 ]; then
- echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
- exit 1
-fi
-
-[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
-patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
-
-case "$1" in
- -patch) patch $patch_opts -p1 < $0;;
- -unpatch) patch $patch_opts -p1 -R < $0;;
- *)
- echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
- exit 1;;
-esac
-
-exit 0
-
-@DPATCH@
---- binutils-2.16.91.0.1/ld/Makefile.am
-+++ binutils-2.16.91.0.1/ld/Makefile.am
-@@ -20,7 +20,7 @@
- # We put the scripts in the directory $(scriptdir)/ldscripts.
- # We can't put the scripts in $(datadir) because the SEARCH_DIR
- # directives need to be different for native and cross linkers.
--scriptdir = $(tooldir)/lib
-+scriptdir = $(libdir)
-
- EMUL = @EMUL@
- EMULATION_OFILES = @EMULATION_OFILES@
---- binutils-2.16.91.0.1/ld/Makefile.in
-+++ binutils-2.16.91.0.1/ld/Makefile.in
-@@ -268,7 +268,7 @@
- # We put the scripts in the directory $(scriptdir)/ldscripts.
- # We can't put the scripts in $(datadir) because the SEARCH_DIR
- # directives need to be different for native and cross linkers.
--scriptdir = $(tooldir)/lib
-+scriptdir = $(libdir)
- BASEDIR = $(srcdir)/..
- BFDDIR = $(BASEDIR)/bfd
- INCDIR = $(BASEDIR)/include
diff --git a/meta/packages/binutils/binutils-2.18/binutils-uclibc-300-006_better_file_error.patch b/meta/packages/binutils/binutils-2.18/binutils-uclibc-300-006_better_file_error.patch
deleted file mode 100644
index f337611ed..000000000
--- a/meta/packages/binutils/binutils-2.18/binutils-uclibc-300-006_better_file_error.patch
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/sh -e
-## 006_better_file_error.dpatch by David Kimdon <dwhedon@gordian.com>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Specify which filename is causing an error if the filename is a
-## DP: directory. (#45832)
-
-if [ $# -ne 1 ]; then
- echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
- exit 1
-fi
-
-[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
-patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
-
-case "$1" in
- -patch) patch $patch_opts -p1 < $0;;
- -unpatch) patch $patch_opts -p1 -R < $0;;
- *)
- echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
- exit 1;;
-esac
-
-exit 0
-
-@DPATCH@
-diff -urNad /home/james/debian/packages/binutils/binutils-2.14.90.0.6/bfd/opncls.c binutils-2.14.90.0.6/bfd/opncls.c
---- /home/james/debian/packages/binutils/binutils-2.14.90.0.6/bfd/opncls.c 2003-07-23 16:08:09.000000000 +0100
-+++ binutils-2.14.90.0.6/bfd/opncls.c 2003-09-10 22:35:00.000000000 +0100
-@@ -150,6 +150,13 @@
- {
- bfd *nbfd;
- const bfd_target *target_vec;
-+ struct stat s;
-+
-+ if (stat (filename, &s) == 0)
-+ if (S_ISDIR(s.st_mode)) {
-+ bfd_set_error (bfd_error_file_not_recognized);
-+ return NULL;
-+ }
-
- nbfd = _bfd_new_bfd ();
- if (nbfd == NULL)
diff --git a/meta/packages/binutils/binutils-2.18/binutils-uclibc-300-012_check_ldrunpath_length.patch b/meta/packages/binutils/binutils-2.18/binutils-uclibc-300-012_check_ldrunpath_length.patch
deleted file mode 100644
index 498651a90..000000000
--- a/meta/packages/binutils/binutils-2.18/binutils-uclibc-300-012_check_ldrunpath_length.patch
+++ /dev/null
@@ -1,47 +0,0 @@
-#!/bin/sh -e
-## 012_check_ldrunpath_length.dpatch by Chris Chimelis <chris@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Only generate an RPATH entry if LD_RUN_PATH is not empty, for
-## DP: cases where -rpath isn't specified. (#151024)
-
-if [ $# -ne 1 ]; then
- echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
- exit 1
-fi
-
-[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
-patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
-
-case "$1" in
- -patch) patch $patch_opts -p1 < $0;;
- -unpatch) patch $patch_opts -p1 -R < $0;;
- *)
- echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
- exit 1;;
-esac
-
-exit 0
-
-@DPATCH@
-diff -urNad /home/james/debian/packages/binutils/new/binutils-2.15/ld/emultempl/elf32.em binutils-2.15/ld/emultempl/elf32.em
---- /home/james/debian/packages/binutils/new/binutils-2.15/ld/emultempl/elf32.em 2004-05-21 23:12:58.000000000 +0100
-+++ binutils-2.15/ld/emultempl/elf32.em 2004-05-21 23:12:59.000000000 +0100
-@@ -692,6 +692,8 @@
- && command_line.rpath == NULL)
- {
- lib_path = (const char *) getenv ("LD_RUN_PATH");
-+ if ((lib_path) && (strlen (lib_path) == 0))
-+ lib_path = NULL;
- if (gld${EMULATION_NAME}_search_needed (lib_path, &n,
- force))
- break;
-@@ -871,6 +873,8 @@
- rpath = command_line.rpath;
- if (rpath == NULL)
- rpath = (const char *) getenv ("LD_RUN_PATH");
-+ if ((rpath) && (strlen (rpath) == 0))
-+ rpath = NULL;
- if (! (bfd_elf_size_dynamic_sections
- (output_bfd, command_line.soname, rpath,
- command_line.filter_shlib,
diff --git a/meta/packages/binutils/binutils-2.19/110-arm-eabi-conf.patch b/meta/packages/binutils/binutils-2.19/110-arm-eabi-conf.patch
deleted file mode 100644
index 2623301da..000000000
--- a/meta/packages/binutils/binutils-2.19/110-arm-eabi-conf.patch
+++ /dev/null
@@ -1,22 +0,0 @@
---- /tmp/configure.ac 2008-06-22 14:14:59.000000000 +0200
-+++ binutils-2.18.50.0.7/configure.ac 2008-06-22 14:15:30.000000000 +0200
-@@ -561,7 +561,7 @@
- noconfigdirs="$noconfigdirs target-libffi target-qthreads"
- libgloss_dir=arm
- ;;
-- arm*-*-linux-gnueabi)
-+ arm*-*-linux-gnueabi | arm*-*-linux-uclibcgnueabi)
- noconfigdirs="$noconfigdirs target-qthreads"
- noconfigdirs="$noconfigdirs target-libobjc"
- case ${with_newlib} in
---- /tmp/configure 2008-06-22 14:17:11.000000000 +0200
-+++ binutils-2.18.50.0.7/configure 2008-06-22 14:17:56.000000000 +0200
-@@ -2307,7 +2307,7 @@
- noconfigdirs="$noconfigdirs target-libffi target-qthreads"
- libgloss_dir=arm
- ;;
-- arm*-*-linux-gnueabi)
-+ arm*-*-linux-gnueabi | arm*-*-linux-uclibcgnueabi)
- noconfigdirs="$noconfigdirs target-qthreads"
- noconfigdirs="$noconfigdirs target-libobjc"
- case ${with_newlib} in
diff --git a/meta/packages/binutils/binutils-2.19/binutils-2.16.1-e300c2c3.patch b/meta/packages/binutils/binutils-2.19/binutils-2.16.1-e300c2c3.patch
deleted file mode 100644
index c5e4234f2..000000000
--- a/meta/packages/binutils/binutils-2.19/binutils-2.16.1-e300c2c3.patch
+++ /dev/null
@@ -1,19 +0,0 @@
-Adds support for Freescale Power architecture e300c2 and e300c3 cores.
-http://www.bitshrine.org/gpp/tc-fsl-x86lnx-e300c3-nptl-4.0.2-2.src.rpm
-
-Leon Woestenberg <leonw@mailcan.com>
-
-diff -uNr binutils-2.16.1.orig/gas/config/tc-ppc.c binutils-2.16.1/gas/config/tc-ppc.c
---- binutils-2.16.1.orig/gas/config/tc-ppc.c 2005-03-02 13:24:01.000000000 +0000
-+++ binutils-2.16.1/gas/config/tc-ppc.c 2006-07-04 11:45:24.000000000 +0100
-@@ -879,6 +879,10 @@
- else
- ppc_cpu |= PPC_OPCODE_SPE;
- }
-+ else if (strcmp (arg, "pmr") == 0)
-+ {
-+ ppc_cpu |= PPC_OPCODE_PMR;
-+ }
- /* -mppc64 and -m620 mean to assemble for the 64-bit PowerPC
- 620. */
- else if (strcmp (arg, "ppc64") == 0 || strcmp (arg, "620") == 0)
diff --git a/meta/packages/binutils/binutils-2.19/binutils-2.16.91.0.6-objcopy-rename-errorcode.patch b/meta/packages/binutils/binutils-2.19/binutils-2.16.91.0.6-objcopy-rename-errorcode.patch
deleted file mode 100644
index 8df5b1fea..000000000
--- a/meta/packages/binutils/binutils-2.19/binutils-2.16.91.0.6-objcopy-rename-errorcode.patch
+++ /dev/null
@@ -1,39 +0,0 @@
-# strip (and objcopy) fail to set the error code if there is no
-# output file name and the rename of the stripped (or copied) file
-# fails, yet the command fails to do anything. This fixes both
-# objcopy and strip.
-#
-# modification by bero: Ported to 2.16.91.0.6
-#
-#Signed-off-by: John Bowler <jbowler@acm.org>
-#Signed-off-by: Bernhard Rosenkraenzer <bero@arklinux.org>
----
-# binutils/objcopy.c | 8 +++++---
-# 1 file changed, 5 insertions(+), 3 deletions(-)
-#
-Index: src/binutils/objcopy.c
-===================================================================
---- src.orig/binutils/objcopy.c 2007-08-09 13:26:03.000000000 +0100
-+++ src/binutils/objcopy.c 2007-08-09 16:36:12.000000000 +0100
-@@ -2787,8 +2787,9 @@ strip_main (int argc, char *argv[])
- if (preserve_dates)
- set_times (tmpname, &statbuf);
- if (output_file != tmpname)
-- smart_rename (tmpname, output_file ? output_file : argv[i],
-- preserve_dates);
-+ if (smart_rename (tmpname, output_file ? output_file : argv[i],
-+ preserve_dates))
-+ hold_status = 1;
- status = hold_status;
- }
- else
-@@ -3411,7 +3412,8 @@ copy_main (int argc, char *argv[])
- if (preserve_dates)
- set_times (tmpname, &statbuf);
- if (tmpname != output_filename)
-- smart_rename (tmpname, input_filename, preserve_dates);
-+ if (smart_rename (tmpname, input_filename, preserve_dates))
-+ status = 1;
- }
- else
- unlink_if_ordinary (tmpname);
diff --git a/meta/packages/binutils/binutils-2.19/binutils-uclibc-100-uclibc-conf.patch b/meta/packages/binutils/binutils-2.19/binutils-uclibc-100-uclibc-conf.patch
deleted file mode 100644
index 8de04e0fe..000000000
--- a/meta/packages/binutils/binutils-2.19/binutils-uclibc-100-uclibc-conf.patch
+++ /dev/null
@@ -1,34 +0,0 @@
---- binutils-2.18.orig/configure
-+++ binutils-2.18/configure
-@@ -2206,7 +2206,7 @@
- am33_2.0-*-linux*)
- noconfigdirs="$noconfigdirs ${libgcj} target-newlib target-libgloss"
- ;;
-- sh-*-linux*)
-+ sh*-*-linux*)
- noconfigdirs="$noconfigdirs ${libgcj} target-newlib target-libgloss"
- ;;
- sh*-*-pe|mips*-*-pe|*arm-wince-pe)
-@@ -2504,7 +2504,7 @@
- romp-*-*)
- noconfigdirs="$noconfigdirs bfd binutils ld gas opcodes target-libgloss ${libgcj}"
- ;;
-- sh-*-* | sh64-*-*)
-+ sh*-*-* | sh64-*-*)
- case "${host}" in
- i[3456789]86-*-vsta) ;; # don't add gprof back in
- i[3456789]86-*-go32*) ;; # don't add gprof back in
---- binutils-2.18.orig/gprof/configure
-+++ binutils-2.18/gprof/configure
-@@ -4124,6 +4124,11 @@
- lt_cv_deplibs_check_method=pass_all
- ;;
-
-+linux-uclibc*)
-+ lt_cv_deplibs_check_method=pass_all
-+ lt_cv_file_magic_test_file=`echo /lib/libuClibc-*.so`
-+ ;;
-+
- netbsd*)
- if echo __ELF__ | $CC -E - | $GREP __ELF__ > /dev/null; then
- lt_cv_deplibs_check_method='match_pattern /lib[^/]+(\.so\.[0-9]+\.[0-9]+|_pic\.a)$'
diff --git a/meta/packages/binutils/binutils-2.19/binutils-uclibc-300-001_ld_makefile_patch.patch b/meta/packages/binutils/binutils-2.19/binutils-uclibc-300-001_ld_makefile_patch.patch
deleted file mode 100644
index 04a7e61e2..000000000
--- a/meta/packages/binutils/binutils-2.19/binutils-uclibc-300-001_ld_makefile_patch.patch
+++ /dev/null
@@ -1,50 +0,0 @@
-#!/bin/sh -e
-## 001_ld_makefile_patch.dpatch
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Description: correct where ld scripts are installed
-## DP: Author: Chris Chimelis <chris@debian.org>
-## DP: Upstream status: N/A
-## DP: Date: ??
-
-if [ $# -ne 1 ]; then
- echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
- exit 1
-fi
-
-[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
-patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
-
-case "$1" in
- -patch) patch $patch_opts -p1 < $0;;
- -unpatch) patch $patch_opts -p1 -R < $0;;
- *)
- echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
- exit 1;;
-esac
-
-exit 0
-
-@DPATCH@
---- binutils-2.16.91.0.1/ld/Makefile.am
-+++ binutils-2.16.91.0.1/ld/Makefile.am
-@@ -20,7 +20,7 @@
- # We put the scripts in the directory $(scriptdir)/ldscripts.
- # We can't put the scripts in $(datadir) because the SEARCH_DIR
- # directives need to be different for native and cross linkers.
--scriptdir = $(tooldir)/lib
-+scriptdir = $(libdir)
-
- EMUL = @EMUL@
- EMULATION_OFILES = @EMULATION_OFILES@
---- binutils-2.16.91.0.1/ld/Makefile.in
-+++ binutils-2.16.91.0.1/ld/Makefile.in
-@@ -268,7 +268,7 @@
- # We put the scripts in the directory $(scriptdir)/ldscripts.
- # We can't put the scripts in $(datadir) because the SEARCH_DIR
- # directives need to be different for native and cross linkers.
--scriptdir = $(tooldir)/lib
-+scriptdir = $(libdir)
- BASEDIR = $(srcdir)/..
- BFDDIR = $(BASEDIR)/bfd
- INCDIR = $(BASEDIR)/include
diff --git a/meta/packages/binutils/binutils-2.19/binutils-uclibc-300-006_better_file_error.patch b/meta/packages/binutils/binutils-2.19/binutils-uclibc-300-006_better_file_error.patch
deleted file mode 100644
index f337611ed..000000000
--- a/meta/packages/binutils/binutils-2.19/binutils-uclibc-300-006_better_file_error.patch
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/sh -e
-## 006_better_file_error.dpatch by David Kimdon <dwhedon@gordian.com>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Specify which filename is causing an error if the filename is a
-## DP: directory. (#45832)
-
-if [ $# -ne 1 ]; then
- echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
- exit 1
-fi
-
-[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
-patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
-
-case "$1" in
- -patch) patch $patch_opts -p1 < $0;;
- -unpatch) patch $patch_opts -p1 -R < $0;;
- *)
- echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
- exit 1;;
-esac
-
-exit 0
-
-@DPATCH@
-diff -urNad /home/james/debian/packages/binutils/binutils-2.14.90.0.6/bfd/opncls.c binutils-2.14.90.0.6/bfd/opncls.c
---- /home/james/debian/packages/binutils/binutils-2.14.90.0.6/bfd/opncls.c 2003-07-23 16:08:09.000000000 +0100
-+++ binutils-2.14.90.0.6/bfd/opncls.c 2003-09-10 22:35:00.000000000 +0100
-@@ -150,6 +150,13 @@
- {
- bfd *nbfd;
- const bfd_target *target_vec;
-+ struct stat s;
-+
-+ if (stat (filename, &s) == 0)
-+ if (S_ISDIR(s.st_mode)) {
-+ bfd_set_error (bfd_error_file_not_recognized);
-+ return NULL;
-+ }
-
- nbfd = _bfd_new_bfd ();
- if (nbfd == NULL)
diff --git a/meta/packages/binutils/binutils-2.19/binutils-uclibc-300-012_check_ldrunpath_length.patch b/meta/packages/binutils/binutils-2.19/binutils-uclibc-300-012_check_ldrunpath_length.patch
deleted file mode 100644
index 498651a90..000000000
--- a/meta/packages/binutils/binutils-2.19/binutils-uclibc-300-012_check_ldrunpath_length.patch
+++ /dev/null
@@ -1,47 +0,0 @@
-#!/bin/sh -e
-## 012_check_ldrunpath_length.dpatch by Chris Chimelis <chris@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Only generate an RPATH entry if LD_RUN_PATH is not empty, for
-## DP: cases where -rpath isn't specified. (#151024)
-
-if [ $# -ne 1 ]; then
- echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
- exit 1
-fi
-
-[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
-patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
-
-case "$1" in
- -patch) patch $patch_opts -p1 < $0;;
- -unpatch) patch $patch_opts -p1 -R < $0;;
- *)
- echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
- exit 1;;
-esac
-
-exit 0
-
-@DPATCH@
-diff -urNad /home/james/debian/packages/binutils/new/binutils-2.15/ld/emultempl/elf32.em binutils-2.15/ld/emultempl/elf32.em
---- /home/james/debian/packages/binutils/new/binutils-2.15/ld/emultempl/elf32.em 2004-05-21 23:12:58.000000000 +0100
-+++ binutils-2.15/ld/emultempl/elf32.em 2004-05-21 23:12:59.000000000 +0100
-@@ -692,6 +692,8 @@
- && command_line.rpath == NULL)
- {
- lib_path = (const char *) getenv ("LD_RUN_PATH");
-+ if ((lib_path) && (strlen (lib_path) == 0))
-+ lib_path = NULL;
- if (gld${EMULATION_NAME}_search_needed (lib_path, &n,
- force))
- break;
-@@ -871,6 +873,8 @@
- rpath = command_line.rpath;
- if (rpath == NULL)
- rpath = (const char *) getenv ("LD_RUN_PATH");
-+ if ((rpath) && (strlen (rpath) == 0))
-+ rpath = NULL;
- if (! (bfd_elf_size_dynamic_sections
- (output_bfd, command_line.soname, rpath,
- command_line.filter_shlib,
diff --git a/meta/packages/binutils/binutils-2.19/binutils-uclibc-gas-needs-libm.patch b/meta/packages/binutils/binutils-2.19/binutils-uclibc-gas-needs-libm.patch
deleted file mode 100644
index db838cf20..000000000
--- a/meta/packages/binutils/binutils-2.19/binutils-uclibc-gas-needs-libm.patch
+++ /dev/null
@@ -1,38 +0,0 @@
-Source: Khem Raj <raj.khem@gmail.com>
-Disposition: submit upstream.
-
-Description:
-
-We do not need to have the libtool patch anymore for binutils after
-libtool has been updated upstream it include support for it. However
-for building gas natively on uclibc systems we have to link it with
--lm so that it picks up missing symbols.
-
-/local/build_area/BUILD/arm_v5t_le_uclibc/binutils-2.17.50/objdir/libiberty/pic/libiberty.a(floatformat.o): In function `floatformat_from_double':
-floatformat.c:(.text+0x1ec): undefined reference to `frexp'
-floatformat.c:(.text+0x2f8): undefined reference to `ldexp'
-/local/build_area/BUILD/arm_v5t_le_uclibc/binutils-2.17.50/objdir/libiberty/pic/libiberty.a(floatformat.o): In function `floatformat_to_double':
-floatformat.c:(.text+0x38a): undefined reference to `ldexp'
-floatformat.c:(.text+0x3d2): undefined reference to `ldexp'
-floatformat.c:(.text+0x43e): undefined reference to `ldexp' floatformat.c:(.text+0x4e2): undefined reference to `ldexp'
-collect2: ld returned 1 exit status
-make[4]: *** [as-new] Error 1
-
-Index: binutils-2.17.50/gas/configure.tgt
-===================================================================
---- binutils-2.17.50.orig/gas/configure.tgt
-+++ binutils-2.17.50/gas/configure.tgt
-@@ -408,6 +408,12 @@ case ${generic_target} in
- *-*-netware) fmt=elf em=netware ;;
- esac
-
-+case ${generic_target} in
-+ arm-*-*uclibc*)
-+ need_libm=yes
-+ ;;
-+esac
-+
- case ${cpu_type} in
- alpha | arm | i386 | ia64 | mips | ns32k | pdp11 | ppc | sparc | z80 | z8k)
- bfd_gas=yes
-
diff --git a/meta/packages/binutils/binutils-cross-sdk.inc b/meta/packages/binutils/binutils-cross-sdk.inc
deleted file mode 100644
index 10e308030..000000000
--- a/meta/packages/binutils/binutils-cross-sdk.inc
+++ /dev/null
@@ -1,24 +0,0 @@
-inherit sdk
-DEPENDS += "flex-native bison-native"
-EXTRA_OECONF = "--with-sysroot=${prefix}/${TARGET_SYS} \
- --program-prefix=${TARGET_PREFIX}"
-
-do_stage() {
- :
-}
-
-do_install () {
- autotools_do_install
-
- # Fix the ${prefix}/${TARGET_SYS}/bin/* files to be symlinks
- rm ${D}${prefix}/${TARGET_SYS}/bin/.debug -Rf
- rm ${D}${prefix}/${TARGET_SYS}/bin/*
- for l in ${D}${bindir}/*; do
- ln -sf "${bindir}/`basename $l`" "${D}${prefix}/${TARGET_SYS}/bin/`basename $l | sed -e 's,${TARGET_PREFIX},,'`"
- done
-
- # Install the libiberty header
- install -d ${D}${includedir}
- install -m 644 ${S}/include/ansidecl.h ${D}${includedir}
- install -m 644 ${S}/include/libiberty.h ${D}${includedir}
-}
diff --git a/meta/packages/binutils/binutils-cross-sdk_2.18.bb b/meta/packages/binutils/binutils-cross-sdk_2.18.bb
deleted file mode 100644
index 4695c61cd..000000000
--- a/meta/packages/binutils/binutils-cross-sdk_2.18.bb
+++ /dev/null
@@ -1,3 +0,0 @@
-require binutils_${PV}.bb
-require binutils-cross-sdk.inc
-PR = "r3"
diff --git a/meta/packages/binutils/binutils-cross-sdk_2.19.bb b/meta/packages/binutils/binutils-cross-sdk_2.19.bb
deleted file mode 100644
index 76dff5449..000000000
--- a/meta/packages/binutils/binutils-cross-sdk_2.19.bb
+++ /dev/null
@@ -1,3 +0,0 @@
-require binutils_${PV}.bb
-require binutils-cross-sdk.inc
-PR = "r0"
diff --git a/meta/packages/binutils/binutils-cross.inc b/meta/packages/binutils/binutils-cross.inc
deleted file mode 100644
index 63e5cf6a6..000000000
--- a/meta/packages/binutils/binutils-cross.inc
+++ /dev/null
@@ -1,36 +0,0 @@
-SECTION = "devel"
-inherit cross
-DEPENDS += "flex-native bison-native"
-PROVIDES = "virtual/${TARGET_PREFIX}binutils"
-PACKAGES = ""
-EXTRA_OECONF = "--with-sysroot=${STAGING_DIR_TARGET} \
- --program-prefix=${TARGET_PREFIX} \
- --enable-install-libbfd \
- --disable-werror"
-
-do_stage () {
- oe_runmake install
-
- # We don't really need these, so we'll remove them...
- rm -rf ${CROSS_DIR}/lib/ldscripts
- rm -rf ${CROSS_DIR}/share/info
- rm -rf ${CROSS_DIR}/share/locale
- rm -rf ${CROSS_DIR}/share/man
- rmdir ${CROSS_DIR}/share || :
- rmdir ${CROSS_DIR}/${libdir}/gcc-lib || :
- rmdir ${CROSS_DIR}/${libdir}64/gcc-lib || :
- rmdir ${CROSS_DIR}/${libdir} || :
- rmdir ${CROSS_DIR}/${libdir}64 || :
- rmdir ${CROSS_DIR}/${prefix} || :
-
- # We want to move this into the target specific location
- mkdir -p ${STAGING_DIR_TARGET}/lib
- mv -f ${CROSS_DIR}/lib/libiberty.a ${STAGING_DIR_TARGET}/lib/lib || \
- mv -f ${CROSS_DIR}/lib64/libiberty.a ${STAGING_DIR_TARGET}/lib/lib
- rmdir ${CROSS_DIR}/lib || :
- rmdir ${CROSS_DIR}/lib64 || :
-}
-
-do_install () {
- :
-}
diff --git a/meta/packages/binutils/binutils-cross_2.18.bb b/meta/packages/binutils/binutils-cross_2.18.bb
deleted file mode 100644
index ecda3a16a..000000000
--- a/meta/packages/binutils/binutils-cross_2.18.bb
+++ /dev/null
@@ -1,24 +0,0 @@
-require binutils_${PV}.bb
-require binutils-cross.inc
-PR = "r1"
-
-do_stage () {
- oe_runmake install
-
- MULTILIBDIR=`gcc -print-multi-os-directory`
-
- # We don't really need these, so we'll remove them...
- rm -rf ${CROSS_DIR}/lib/ldscripts
- rm -rf ${CROSS_DIR}/share/info
- rm -rf ${CROSS_DIR}/share/locale
- rm -rf ${CROSS_DIR}/share/man
- rmdir ${CROSS_DIR}/share || :
- rmdir ${CROSS_DIR}/${libdir}/gcc-lib || :
- rmdir ${CROSS_DIR}/${libdir} || :
- rmdir ${CROSS_DIR}/${prefix} || :
-
- # We want to move this into the target specific location
- mkdir -p ${CROSS_DIR}/${TARGET_SYS}/lib
- mv -f ${CROSS_DIR}/lib/${MULTILIBDIR}/libiberty.a ${CROSS_DIR}/${TARGET_SYS}/lib
- rmdir ${CROSS_DIR}/lib/${MULTILIBDIR} || :
-}
diff --git a/meta/packages/binutils/binutils-cross_2.19.bb b/meta/packages/binutils/binutils-cross_2.19.bb
deleted file mode 100644
index 8c7e4bc1a..000000000
--- a/meta/packages/binutils/binutils-cross_2.19.bb
+++ /dev/null
@@ -1,3 +0,0 @@
-require binutils_${PV}.bb
-require binutils-cross.inc
-
diff --git a/meta/packages/binutils/binutils-cross_csl-arm-2006q1.bb b/meta/packages/binutils/binutils-cross_csl-arm-2006q1.bb
deleted file mode 100644
index 9b34b579b..000000000
--- a/meta/packages/binutils/binutils-cross_csl-arm-2006q1.bb
+++ /dev/null
@@ -1,3 +0,0 @@
-require binutils_csl-arm-2006q1.bb
-require binutils-cross.inc
-S = "${WORKDIR}/binutils-2.17"
diff --git a/meta/packages/binutils/binutils-cross_csl-arm-2008q1.bb b/meta/packages/binutils/binutils-cross_csl-arm-2008q1.bb
deleted file mode 100644
index d22da4619..000000000
--- a/meta/packages/binutils/binutils-cross_csl-arm-2008q1.bb
+++ /dev/null
@@ -1,24 +0,0 @@
-require binutils_csl-arm-2008q1.bb
-require binutils-cross.inc
-PR = "r1"
-
-do_stage () {
- oe_runmake install
-
- MULTILIBDIR=`gcc -print-multi-os-directory`
-
- # We don't really need these, so we'll remove them...
- rm -rf ${CROSS_DIR}/lib/ldscripts
- rm -rf ${CROSS_DIR}/share/info
- rm -rf ${CROSS_DIR}/share/locale
- rm -rf ${CROSS_DIR}/share/man
- rmdir ${CROSS_DIR}/share || :
- rmdir ${CROSS_DIR}/${libdir}/gcc-lib || :
- rmdir ${CROSS_DIR}/${libdir} || :
- rmdir ${CROSS_DIR}/${prefix} || :
-
- # We want to move this into the target specific location
- mkdir -p ${CROSS_DIR}/${TARGET_SYS}/lib
- mv -f ${CROSS_DIR}/lib/${MULTILIBDIR}/libiberty.a ${CROSS_DIR}/${TARGET_SYS}/lib
- rmdir ${CROSS_DIR}/lib/${MULTILIBDIR} || :
-}
diff --git a/meta/packages/binutils/binutils.inc b/meta/packages/binutils/binutils.inc
deleted file mode 100644
index d8dd752ec..000000000
--- a/meta/packages/binutils/binutils.inc
+++ /dev/null
@@ -1,131 +0,0 @@
-DESCRIPTION = "A GNU collection of binary utilities"
-HOMEPAGE = "http://www.gnu.org/software/binutils/"
-SECTION = "devel"
-LICENSE = "GPLv2"
-
-inherit autotools gettext
-
-PACKAGES += "${PN}-symlinks"
-
-FILES_${PN} = " \
- ${bindir}/${TARGET_PREFIX}* \
- ${libdir}/lib*-*.so \
- ${prefix}/${TARGET_SYS}/bin/*"
-
-FILES_${PN}-dev = " \
- ${includedir} \
- ${libdir}/*.a \
- ${libdir}/*.la \
- ${libdir}/libbfd.so \
- ${libdir}/libopcodes.so"
-
-FILES_${PN}-symlinks = " \
- ${bindir}/addr2line \
- ${bindir}/as \
- ${bindir}/c++filt \
- ${bindir}/gprof \
- ${bindir}/ld \
- ${bindir}/nm \
- ${bindir}/objcopy \
- ${bindir}/objdump \
- ${bindir}/ranlib \
- ${bindir}/readelf \
- ${bindir}/size \
- ${bindir}/strip"
-
-B = "${S}/build.${HOST_SYS}.${TARGET_SYS}"
-
-EXTRA_OECONF = "--program-prefix=${TARGET_PREFIX} \
- --enable-shared"
-
-# This is necessary due to a bug in the binutils Makefiles
-EXTRA_OEMAKE = "configure-build-libiberty all"
-
-export AR = "${HOST_PREFIX}ar"
-export AS = "${HOST_PREFIX}as"
-export LD = "${HOST_PREFIX}ld"
-export NM = "${HOST_PREFIX}nm"
-export RANLIB = "${HOST_PREFIX}ranlib"
-export OBJCOPY = "${HOST_PREFIX}objcopy"
-export OBJDUMP = "${HOST_PREFIX}objdump"
-
-export AR_FOR_TARGET = "${TARGET_PREFIX}ar"
-export AS_FOR_TARGET = "${TARGET_PREFIX}as"
-export LD_FOR_TARGET = "${TARGET_PREFIX}ld"
-export NM_FOR_TARGET = "${TARGET_PREFIX}nm"
-export RANLIB_FOR_TARGET = "${TARGET_PREFIX}ranlib"
-
-export CC_FOR_HOST = "${CCACHE}${HOST_PREFIX}gcc ${HOST_CC_ARCH}"
-export CXX_FOR_HOST = "${CCACHE}${HOST_PREFIX}gcc ${HOST_CC_ARCH}"
-
-export CC_FOR_BUILD = "${BUILD_CC}"
-export CPP_FOR_BUILD = "${BUILD_CPP}"
-export CFLAGS_FOR_BUILD = "${BUILD_CFLAGS}"
-
-export CC = "${CCACHE}${HOST_PREFIX}gcc ${HOST_CC_ARCH}"
-
-do_configure () {
- (cd ${S}; gnu-configize) || die "Failed to run gnu-configize"
- oe_runconf
-#
-# must prime config.cache to ensure the build of libiberty
-#
- mkdir -p ${B}/build-${BUILD_SYS}
- for i in ${CONFIG_SITE}; do
- cat $i >> ${B}/build-${BUILD_SYS}/config.cache
- done
-}
-
-do_stage () {
- oe_libinstall -so -a -C opcodes libopcodes ${STAGING_LIBDIR}/
- oe_libinstall -a -C libiberty libiberty ${STAGING_LIBDIR}/
- oe_libinstall -so -a -C bfd libbfd ${STAGING_LIBDIR}/
- install -m 0644 ${S}/include/dis-asm.h ${STAGING_INCDIR}/
- install -m 0644 ${S}/include/symcat.h ${STAGING_INCDIR}/
- install -m 0644 ${S}/include/libiberty.h ${STAGING_INCDIR}/
- install -m 0644 ${S}/include/ansidecl.h ${STAGING_INCDIR}/
- install -m 0644 ${S}/include/bfdlink.h ${STAGING_INCDIR}/
- install -m 0644 bfd/bfd.h ${STAGING_INCDIR}/
-}
-
-do_install () {
- autotools_do_install
-
- # We don't really need these, so we'll remove them...
- rm -rf ${D}${libdir}/ldscripts
-
- # Fix the /usr/${TARGET_SYS}/bin/* links
- for l in ${D}${prefix}/${TARGET_SYS}/bin/*; do
- rm -f $l
- ln -sf `echo ${prefix}/${TARGET_SYS}/bin \
- | tr -s / \
- | sed -e 's,^/,,' -e 's,[^/]*,..,g'`${bindir}/${TARGET_PREFIX}`basename $l` $l
- done
-
- # Install the libiberty header
- install -d ${D}${includedir}
- install -m 644 ${S}/include/ansidecl.h ${D}${includedir}
- install -m 644 ${S}/include/libiberty.h ${D}${includedir}
-
- cd ${D}${bindir}
-
- # Symlinks for ease of running these on the native target
- for p in ${TARGET_SYS}-* ; do
- ln -sf $p `echo $p | sed -e s,${TARGET_SYS}-,,`
- done
-
- rm ${D}${bindir}/ar ${D}${bindir}/strings
-}
-
-
-pkg_postinst_${PN}-symlinks () {
- update-alternatives --install ${bindir}/ar ar ${TARGET_SYS}-ar 100
- update-alternatives --install ${bindir}/strings strings ${TARGET_SYS}-strings 100
-}
-
-
-pkg_prerm_${PN}-symlinks () {
- update-alternatives --remove ar ${TARGET_SYS}-ar
- update-alternatives --remove strings ${TARGET_SYS}-strings
-}
-
diff --git a/meta/packages/binutils/binutils_2.18.bb b/meta/packages/binutils/binutils_2.18.bb
deleted file mode 100644
index 78000c7af..000000000
--- a/meta/packages/binutils/binutils_2.18.bb
+++ /dev/null
@@ -1,12 +0,0 @@
-require binutils.inc
-
-SRC_URI = "\
- ${GNU_MIRROR}/binutils/binutils-${PV}.tar.bz2 \
- file://binutils-2.16.91.0.6-objcopy-rename-errorcode.patch;patch=1 \
- file://binutils-configure-texinfo-version.patch;patch=1 \
- file://binutils-uclibc-100-uclibc-conf.patch;patch=1 \
- file://110-arm-eabi-conf.patch;patch=1 \
- file://binutils-uclibc-300-001_ld_makefile_patch.patch;patch=1 \
- file://binutils-uclibc-300-006_better_file_error.patch;patch=1 \
- file://binutils-uclibc-300-012_check_ldrunpath_length.patch;patch=1 \
- "
diff --git a/meta/packages/binutils/binutils_2.19.bb b/meta/packages/binutils/binutils_2.19.bb
deleted file mode 100644
index bd03b4d39..000000000
--- a/meta/packages/binutils/binutils_2.19.bb
+++ /dev/null
@@ -1,18 +0,0 @@
-PR = "r0"
-
-require binutils.inc
-
-SRC_URI = "\
- ${GNU_MIRROR}/binutils/binutils-${PV}.tar.bz2 \
- file://binutils-2.16.91.0.6-objcopy-rename-errorcode.patch;patch=1 \
- file://binutils-uclibc-100-uclibc-conf.patch;patch=1 \
- file://110-arm-eabi-conf.patch;patch=1 \
- file://binutils-uclibc-300-001_ld_makefile_patch.patch;patch=1 \
- file://binutils-uclibc-300-006_better_file_error.patch;patch=1 \
- file://binutils-uclibc-300-012_check_ldrunpath_length.patch;patch=1 \
- file://binutils-uclibc-gas-needs-libm.patch;patch=1 \
- "
-
-# powerpc patches
-SRC_URI += "file://binutils-2.16.1-e300c2c3.patch;patch=1"
-
diff --git a/meta/packages/binutils/binutils_csl-arm-2006q1.bb b/meta/packages/binutils/binutils_csl-arm-2006q1.bb
deleted file mode 100644
index b7f884117..000000000
--- a/meta/packages/binutils/binutils_csl-arm-2006q1.bb
+++ /dev/null
@@ -1,139 +0,0 @@
-DESCRIPTION = "A GNU collection of binary utilities"
-HOMEPAGE = "http://www.gnu.org/software/binutils/"
-SECTION = "devel"
-LICENSE = "GPL"
-DEFAULT_PREFERENCE = "-1"
-
-BINV = "2.17"
-PV = "2.17+csl-arm-2006q1-6"
-
-#FILESDIR = "${FILE_DIRNAME}/binutils-"
-
-S = "${WORKDIR}/binutils-2.17"
-
-inherit autotools gettext
-
-PACKAGES = "${PN} ${PN}-dev ${PN}-doc ${PN}-symlinks"
-
-FILES_${PN} = " \
- ${bindir}/${TARGET_PREFIX}* \
- ${libdir}/lib*-*.so \
- ${prefix}/${TARGET_SYS}/bin/*"
-
-FILES_${PN}-dev = " \
- ${includedir} \
- ${libdir}/*.a \
- ${libdir}/*.la \
- ${libdir}/libbfd.so \
- ${libdir}/libopcodes.so"
-
-FILES_${PN}-symlinks = " \
- ${bindir}/addr2line \
- ${bindir}/ar \
- ${bindir}/as \
- ${bindir}/c++filt \
- ${bindir}/gprof \
- ${bindir}/ld \
- ${bindir}/nm \
- ${bindir}/objcopy \
- ${bindir}/objdump \
- ${bindir}/ranlib \
- ${bindir}/readelf \
- ${bindir}/size \
- ${bindir}/strings \
- ${bindir}/strip"
-
-SRC_URI = "\
- http://www.codesourcery.com/public/gnu_toolchain/arm-none-eabi/arm-2006q1-6-arm-none-eabi.src.tar.bz2 \
- file://binutils-2.17-csl-tc-arm-mmxwc-polymorphism.patch;patch=1;pnum=1\
- file://binutils-2.16.91.0.6-objcopy-rename-errorcode.patch;patch=1;pnum=1\
- file://binutils-uclibc-100-uclibc-conf.patch;patch=1;pnum=1 \
- file://binutils-uclibc-300-001_ld_makefile_patch.patch;patch=1;pnum=1 \
- file://binutils-uclibc-300-006_better_file_error.patch;patch=1;pnum=1 \
- file://binutils-uclibc-300-012_check_ldrunpath_length.patch;patch=1;pnum=1 \
- file://binutils-uclibc-400-mips-ELF_MAXPAGESIZE-4K.patch;patch=1;pnum=1 \
- file://binutils-uclibc-702-binutils-skip-comments.patch;patch=1;pnum=1 \
- file://binutils-configure-texinfo-version.patch;patch=1"
-
-do_unpack2() {
- cd ${WORKDIR}
- pwd
- tar -xvjf ./arm-2006q1-6-arm-none-eabi/binutils-2006q1-6.tar.bz2
-}
-
-addtask unpack2 after do_unpack before do_patch
-
-B = "${S}/build.${HOST_SYS}.${TARGET_SYS}"
-
-EXTRA_OECONF = "--program-prefix=${TARGET_PREFIX} \
- --enable-shared"
-
-# This is necessary due to a bug in the binutils Makefiles
-EXTRA_OEMAKE = "configure-build-libiberty all"
-
-export AR = "${HOST_PREFIX}ar"
-export AS = "${HOST_PREFIX}as"
-export LD = "${HOST_PREFIX}ld"
-export NM = "${HOST_PREFIX}nm"
-export RANLIB = "${HOST_PREFIX}ranlib"
-export OBJCOPY = "${HOST_PREFIX}objcopy"
-export OBJDUMP = "${HOST_PREFIX}objdump"
-
-export AR_FOR_TARGET = "${TARGET_PREFIX}ar"
-export AS_FOR_TARGET = "${TARGET_PREFIX}as"
-export LD_FOR_TARGET = "${TARGET_PREFIX}ld"
-export NM_FOR_TARGET = "${TARGET_PREFIX}nm"
-export RANLIB_FOR_TARGET = "${TARGET_PREFIX}ranlib"
-
-export CC_FOR_HOST = "${CCACHE} ${HOST_PREFIX}gcc ${HOST_CC_ARCH}"
-export CXX_FOR_HOST = "${CCACHE} ${HOST_PREFIX}gcc ${HOST_CC_ARCH}"
-
-export CC_FOR_BUILD = "${BUILD_CC}"
-export CPP_FOR_BUILD = "${BUILD_CPP}"
-export CFLAGS_FOR_BUILD = "${BUILD_CFLAGS}"
-
-export CC = "${CCACHE} ${HOST_PREFIX}gcc ${HOST_CC_ARCH}"
-
-do_configure () {
- (cd ${S}; gnu-configize) || die "Failed to run gnu-configize"
- oe_runconf
-}
-
-do_stage () {
- oe_libinstall -so -a -C opcodes libopcodes ${STAGING_LIBDIR}/
- oe_libinstall -a -C libiberty libiberty ${STAGING_LIBDIR}/
- oe_libinstall -so -a -C bfd libbfd ${STAGING_LIBDIR}/
- install -m 0644 ${S}/include/dis-asm.h ${STAGING_INCDIR}/
- install -m 0644 ${S}/include/symcat.h ${STAGING_INCDIR}/
- install -m 0644 ${S}/include/libiberty.h ${STAGING_INCDIR}/
- install -m 0644 ${S}/include/ansidecl.h ${STAGING_INCDIR}/
- install -m 0644 ${S}/include/bfdlink.h ${STAGING_INCDIR}/
- install -m 0644 bfd/bfd.h ${STAGING_INCDIR}/
-}
-
-do_install () {
- autotools_do_install
-
- # We don't really need these, so we'll remove them...
- rm -rf ${D}${libdir}/ldscripts
-
- # Fix the /usr/${TARGET_SYS}/bin/* links
- for l in ${D}${prefix}/${TARGET_SYS}/bin/*; do
- rm -f $l
- ln -sf `echo ${prefix}/${TARGET_SYS}/bin \
- | tr -s / \
- | sed -e 's,^/,,' -e 's,[^/]*,..,g'`${bindir}/${TARGET_PREFIX}`basename $l` $l
- done
-
- # Install the libiberty header
- install -d ${D}${includedir}
- install -m 644 ${S}/include/ansidecl.h ${D}${includedir}
- install -m 644 ${S}/include/libiberty.h ${D}${includedir}
-
- cd ${D}${bindir}
-
- # Symlinks for ease of running these on the native target
- for p in ${TARGET_SYS}-* ; do
- ln -sf $p `echo $p | sed -e s,${TARGET_SYS}-,,`
- done
-}
diff --git a/meta/packages/binutils/binutils_csl-arm-2008q1.bb b/meta/packages/binutils/binutils_csl-arm-2008q1.bb
deleted file mode 100644
index dd9b79830..000000000
--- a/meta/packages/binutils/binutils_csl-arm-2008q1.bb
+++ /dev/null
@@ -1,25 +0,0 @@
-require binutils.inc
-
-DEFAULT_PREFERENCE = "-1"
-
-SRC_URI = "\
- http://www.codesourcery.com/gnu_toolchains/arm/portal/package2553/public/arm-none-eabi/arm-2008q1-126-arm-none-eabi.src.tar.bz2 \
- file://binutils-2.16.91.0.6-objcopy-rename-errorcode.patch;patch=1 \
- file://binutils-uclibc-100-uclibc-conf.patch;patch=1 \
- file://110-arm-eabi-conf.patch;patch=1 \
- file://binutils-uclibc-300-001_ld_makefile_patch.patch;patch=1 \
- file://binutils-uclibc-300-006_better_file_error.patch;patch=1 \
- file://binutils-uclibc-300-012_check_ldrunpath_length.patch;patch=1 \
- file://docs_hack2.patch;patch=1 \
- "
-
-PV = "2.18+csl-arm-2008q1-126"
-
-S = "${WORKDIR}/binutils-stable"
-
-do_unpack2() {
- cd ${WORKDIR}
- tar -xvjf ./arm-2008q1-126-arm-none-eabi/binutils-2008q1-126.tar.bz2
-}
-
-addtask unpack2 after do_unpack before do_patch
diff --git a/meta/packages/binutils/files/better_file_error.patch b/meta/packages/binutils/files/better_file_error.patch
deleted file mode 100644
index 38ef52966..000000000
--- a/meta/packages/binutils/files/better_file_error.patch
+++ /dev/null
@@ -1,17 +0,0 @@
-diff -urN binutils-2.11.92.0.5/bfd/opncls.c binutils-2.11.92.0.5.new/bfd/opncls.c
---- binutils-2.11.92.0.5/bfd/opncls.c Mon Oct 1 18:25:21 2001
-+++ binutils-2.11.92.0.5.new/bfd/opncls.c Sat Oct 13 11:26:59 2001
-@@ -127,6 +127,13 @@
- {
- bfd *nbfd;
- const bfd_target *target_vec;
-+ struct stat s;
-+
-+ if (stat (filename, &s) == 0)
-+ if (S_ISDIR(s.st_mode)) {
-+ bfd_set_error (bfd_error_file_not_recognized);
-+ return NULL;
-+ }
-
- nbfd = _bfd_new_bfd ();
- if (nbfd == NULL)
diff --git a/meta/packages/binutils/files/ld_makefile.patch b/meta/packages/binutils/files/ld_makefile.patch
deleted file mode 100644
index c1d2ac1ec..000000000
--- a/meta/packages/binutils/files/ld_makefile.patch
+++ /dev/null
@@ -1,22 +0,0 @@
---- binutils-2.11.90.0.19.orig/ld/Makefile.am
-+++ binutils-2.11.90.0.19/ld/Makefile.am
-@@ -19,7 +19,7 @@
- # We put the scripts in the directory $(scriptdir)/ldscripts.
- # We can't put the scripts in $(datadir) because the SEARCH_DIR
- # directives need to be different for native and cross linkers.
--scriptdir = $(tooldir)/lib
-+scriptdir = $(libdir)
-
- EMUL = @EMUL@
- EMULATION_OFILES = @EMULATION_OFILES@
---- binutils-2.11.90.0.19.orig/ld/Makefile.in
-+++ binutils-2.11.90.0.19/ld/Makefile.in
-@@ -123,7 +123,7 @@
- # We put the scripts in the directory $(scriptdir)/ldscripts.
- # We can't put the scripts in $(datadir) because the SEARCH_DIR
- # directives need to be different for native and cross linkers.
--scriptdir = $(tooldir)/lib
-+scriptdir = $(libdir)
-
- EMUL = @EMUL@
- EMULATION_OFILES = @EMULATION_OFILES@
diff --git a/meta/packages/binutils/files/objdump_fix.patch b/meta/packages/binutils/files/objdump_fix.patch
deleted file mode 100644
index 90ad732c0..000000000
--- a/meta/packages/binutils/files/objdump_fix.patch
+++ /dev/null
@@ -1,134 +0,0 @@
-From binutils-return-38148-listarch-binutils=sources dot redhat dot com at sources dot redhat dot com Tue Feb 22 19:24:15 2005
-Return-Path: <binutils-return-38148-listarch-binutils=sources dot redhat dot com at sources dot redhat dot com>
-Delivered-To: listarch-binutils at sources dot redhat dot com
-Received: (qmail 4446 invoked by alias); 22 Feb 2005 19:24:15 -0000
-Mailing-List: contact binutils-help at sources dot redhat dot com; run by ezmlm
-Precedence: bulk
-List-Subscribe: <mailto:binutils-subscribe at sources dot redhat dot com>
-List-Archive: <http://sources.redhat.com/ml/binutils/>
-List-Post: <mailto:binutils at sources dot redhat dot com>
-List-Help: <mailto:binutils-help at sources dot redhat dot com>, <http://sources dot redhat dot com/ml/#faqs>
-Sender: binutils-owner at sources dot redhat dot com
-Delivered-To: mailing list binutils at sources dot redhat dot com
-Received: (qmail 4401 invoked from network); 22 Feb 2005 19:24:08 -0000
-Received: from unknown (HELO bgo1smout1.broadpark.no) (217.13.4.94)
- by sourceware dot org with SMTP; 22 Feb 2005 19:24:08 -0000
-Received: from bgo1sminn1.broadpark.no ([217.13.4.93])
- by bgo1smout1 dot broadpark dot no
- (Sun Java System Messaging Server 6 dot 1 HotFix 0 dot 05 (built Oct 21 2004))
- with ESMTP id <0ICB007QZUZCC0C0 at bgo1smout1 dot broadpark dot no> for
- binutils at sources dot redhat dot com; Tue, 22 Feb 2005 20:18:48 +0100 (CET)
-Received: from [127.0.0.1] ([80.202.165.9]) by bgo1sminn1.broadpark.no
- (Sun Java System Messaging Server 6 dot 1 HotFix 0 dot 05 (built Oct 21 2004))
- with ESMTP id <0ICB006NCVBVHE21 at bgo1sminn1 dot broadpark dot no> for
- binutils at sources dot redhat dot com; Tue, 22 Feb 2005 20:26:20 +0100 (CET)
-Date: Tue, 22 Feb 2005 20:24:08 +0100
-From: =?ISO-8859-1?Q?Stig_Petter_Olsr=F8d?= <stigpo at users dot sourceforge dot net>
-Subject: [PATCH] objdump relocation fixes for ARM disassembly
-To: binutils at sources dot redhat dot com
-Message-id: <421B86D8.8080604@users.sourceforge.net>
-MIME-version: 1.0
-Content-type: text/plain; charset=ISO-8859-1; format=flowed
-Content-transfer-encoding: 7BIT
-User-Agent: Mozilla Thunderbird 1.0 (Windows/20041206)
-
-Hello,
-
-objdump disassembly did not relocate correctly for the ARM processor. It seems
-that the test for triggering the INSN_HAS_RELOC flag was void (one test killed the other,
-since octets would always be zero) and all relocations would thus fail. I changed the test
-so the flag is set when we are about to disassemble an insn that the current relocation
-entry points to. I also changed objdump_print_addr to use the current relocation entry if
-the insn has such an entry. This causes the symbol printed to be correct for both external
-symbols (from the undefined section) and local symbols.
-
-This has only been tested for the ARM processor, but I don't think it should break other
-DISASSEMBLER_NEEDS_RELOCS processors either.
-
-
-binutils/
-
-2005-02-22 Stig Petter Olsroed <stigpo@users.sourceforge.net>
-
- * objdump.c (disassemble_bytes): Fixed relocation check for
- DISASSEMBLER_NEEDS_RELOCS platforms to properly trigger the
- INSN_HAS_RELOC flag. Set the current relocation entry in
- objdump_disasm_info to allow printing the proper symbol.
- (objdump_print_addr): Use the relocation entry in
- objdump_disasm_info to lookup the correct symbol for
- DISASSEMBLER_NEEDS_RELOCS platforms.
-
---- 1/binutils/objdump.c 2005-02-22 01:50:06.000000000 +0100
-+++ 2/binutils/objdump.c 2005-02-22 14:27:33.066960900 +0100
-@@ -128,6 +128,7 @@
- arelent ** dynrelbuf;
- long dynrelcount;
- disassembler_ftype disassemble_fn;
-+ arelent * reloc;
- };
-
- /* Architecture to disassemble for, or default if NULL. */
-@@ -852,6 +853,8 @@
- {
- struct objdump_disasm_info *aux;
- asymbol *sym;
-+ arelent *q;
-+ int skip_find = 0;
-
- if (sorted_symcount < 1)
- {
-@@ -861,6 +864,22 @@
- }
-
- aux = (struct objdump_disasm_info *) info->application_data;
-+
-+ q = aux->reloc;
-+ if (q != NULL)
-+ {
-+ if (q->sym_ptr_ptr != NULL && *q->sym_ptr_ptr != NULL)
-+ {
-+ /* Adjust the vma to the reloc */
-+ vma += bfd_asymbol_value (*q->sym_ptr_ptr);
-+ if (bfd_is_und_section (bfd_get_section (*q->sym_ptr_ptr)))
-+ {
-+ skip_find = 1;
-+ sym = *q->sym_ptr_ptr;
-+ }
-+ }
-+ }
-+ if (!skip_find)
- sym = find_symbol_for_address (vma, info, NULL);
- objdump_print_addr_with_sym (aux->abfd, aux->sec, sym, vma, info,
- skip_zeroes);
-@@ -1350,16 +1369,22 @@
- info->bytes_per_chunk = 0;
-
- #ifdef DISASSEMBLER_NEEDS_RELOCS
-- /* FIXME: This is wrong. It tests the number of octets
-- in the last instruction, not the current one. */
-- if (*relppp < relppend
-- && (**relppp)->address >= rel_offset + addr_offset
-- && ((**relppp)->address
-- < rel_offset + addr_offset + octets / opb))
-+ /* Check if the current relocation entry applies to the
-+ instruction we are about to disassemble.
-+ This works for ARM at least.
-+ */
-+ if ((*relppp) < relppend
-+ && ((**relppp)->address == rel_offset + addr_offset))
-+ {
- info->flags = INSN_HAS_RELOC;
-+ aux->reloc = **relppp;
-+ }
- else
- #endif
-+ {
- info->flags = 0;
-+ aux->reloc = NULL;
-+ }
-
- octets = (*disassemble_fn) (section->vma + addr_offset, info);
- info->fprintf_func = (fprintf_ftype) fprintf;
-
-
-
diff --git a/meta/packages/binutils/files/plt32trunc.patch b/meta/packages/binutils/files/plt32trunc.patch
deleted file mode 100644
index 4990f5dbb..000000000
--- a/meta/packages/binutils/files/plt32trunc.patch
+++ /dev/null
@@ -1,24 +0,0 @@
---- binutils/bfd/elf32-arm.h.orig 2004-04-22 22:11:15.000000000 -0400
-+++ binutils/bfd/elf32-arm.h 2004-04-22 22:28:37.000000000 -0400
-@@ -2229,6 +2229,8 @@ elf32_arm_relocate_section (output_bfd,
- case R_ARM_PC24:
- case R_ARM_ABS32:
- case R_ARM_THM_PC22:
-+ case R_ARM_PLT32:
-+
- if (info->shared
- && (
- (!info->symbolic && h->dynindx != -1)
-@@ -2262,11 +2264,6 @@ elf32_arm_relocate_section (output_bfd,
- relocation = 0;
- break;
-
-- case R_ARM_PLT32:
-- if (h->plt.offset != (bfd_vma)-1)
-- relocation = 0;
-- break;
--
- default:
- if (unresolved_reloc)
- _bfd_error_handler
-
diff --git a/meta/packages/binutils/files/signed_char_fix.patch b/meta/packages/binutils/files/signed_char_fix.patch
deleted file mode 100644
index b3709dabe..000000000
--- a/meta/packages/binutils/files/signed_char_fix.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-diff -urN binutils-2.11.92.0.12.3/opcodes/i386-dis.c binutils-2.11.92.0.12.3.new/opcodes/i386-dis.c
---- binutils-2.11.92.0.12.3/opcodes/i386-dis.c Fri Nov 16 17:05:55 2001
-+++ binutils-2.11.92.0.12.3.new/opcodes/i386-dis.c Mon Dec 31 15:55:04 2001
-@@ -1830,7 +1830,7 @@
- * The function returns the length of this instruction in bytes.
- */
-
--static char intel_syntax;
-+static signed char intel_syntax;
- static char open_char;
- static char close_char;
- static char separator_char;